<div class="d-lg-none" style="background-image: url('{{ url('<front>') }}themes/growhappytheme/assets/images/placeholder.png');height: 6rem;background-size:cover;background-position:0 bottom;" data-bg="{{ url('<front>') }}themes/growhappytheme/assets/images/bg-wave-m.svg">
</div>
<div class="bg-wave">
    <div class="container">
        {% if (logged_in or guestlogin) %}
        <h2 class="text-subtitle text-blue">Temukan Kode Uniknya, Tukarkan Poinnya</h2>
        <div class="text-copy">
            <p>Temukan kode unik di kemasan LACTOGROW untuk mengumpulkan Happy Points & tukarkan dengan hadiah pilihan Happy Parents.</p>
        </div>
        <p class="text-center text-uppercase mt-4">
            <a href="{{ url('<front>') }}club" class="btn bg-white text-primary rounded-pill px-5">
                <strong>Masukkan Kode Unik</strong>
            </a>
        </p>
        {% else %}
        <h2 class="text-title mt-4">Gabung Grow Happy Club, Dapatkan Hadiah Menarik</h2>
        <div class="text-copy">
            <p>Ayo bergabung bersama Happy Parents lainnya di Grow Happy Club & tukarkan poin dari setiap pembelian produk LACTOGROW dengan hadiah menarik!</p>
        </div>
        {% endif %}
        <div class="row">
            <div class="col-lg-12">
                <div class="d-lg-flex justify-content-between mt-5">
                    <ul class="nav nav-pills mb-4 blue-theme px-3 mx-2" id="pills-tab" role="tablist" style="min-width:70%;">
                        <li class="nav-item flex-fill" role="presentation" style="width:12%;">
                            <a class="nav-link mt-0 font-weight-bold active orange" id="all" data-toggle="pill" href="#pills-all" role="tab" aria-controls="pills-all" aria-selected="false">Semua</a>
                        </li>
                        {% for category in rewardscategories %}
                            {% set tab_id = category.name|replace({ (' '): '-' })|lower %}
                            <li class="nav-item flex-fill" role="presentation" style="width:12%;">
                                <a class="nav-link mt-0 font-weight-bold" id="{{ tab_id }}" data-toggle="pill" href="#pills-{{ tab_id }}" role="tab" aria-controls="pills-{{ tab_id }}" aria-selected="true">{{ tab_id }}</a>
                            </li>
                        {% endfor %}
                    </ul>
                    <p>
                        <a href="{{ url('<front>') }}club" class="btn btn-blue rounded-pill mt-3 d-none d-lg-block">Hadiah Lainnya</a>
                    </p>
                </div>
                <div class="tab-content">
                    <div id="pills-all" class="tab-pane fade active in show">
                        <div class="slider-card mb-4 position-relative">
                            <div class="swiper-container swiper-rewards nav">
                                <div class="swiper-wrapper">
                                    {% for reward in rewardslisting %}
                                    <div class="swiper-slide swiper-slide-reward pb-2">
                                        <div class="card overflow-hidden card-article card-article-reward border-0 position-relative m-2 shadow">
                                            <span class="badge badge-light text-primary position-absolute text-uppercase" style="top:10.5rem;right:auto;border-radius: 0 1.5rem 0 0;">{{ reward.items[0].code }}</span>
                                            <a class="card-link text-primary text-decoration-none h-auto" href="{{ url('<front>') }}reward-detail?s={{ reward.slug }}">
                                                <div class="card-img-top" style="background-image: url('{{ url('<front>') }}themes/growhappytheme/assets/images/placeholder.png'); background-size: cover; height: 12rem; background-position: center;" data-bg="{{ reward.thumbnail }}"></div>
                                                <div class="card-body bg-light text-primary">
                                                    <h3 class="card-title text-capitalize mb-1">{{ reward.name }}</h3>
                                                    
                                                    <p class="mb-1">
                                                        {% if (reward.categories) %}
                                                        <span class="tag text-blue text-capitalize" href="{{ url('<front>') }}club?category={{ reward.categories[0].category.name }}"><small>{{ reward.categories[0].category.name }}</small></span>
                                                        {% endif %}
                                                    </p>
                                                    
                                                    <div class="rp">{{ reward.items[0].point }}</div>
                                                </div>
                                            </a>
                                        </div>
                                    </div>
                                    {% endfor %}
                                </div>
                            </div>
                            <div class="swiper-pagination pagination-light reward"></div>
                            <div class="swiper-button-prev button-prev-light reward"></div>
                            <div class="swiper-button-next button-next-light reward"></div>
                        </div>
                    </div>
                    {% for keys, rewardslistingcategory in rewardslistingcategories %}
                        {% set tab_id2 = keys|replace({ (' '): '-' })|lower %}
                        <div id="pills-{{ tab_id2 }}" class="tab-pane fade">
                            <div class="slider-card mb-4 position-relative">
                                <div class="swiper-container swiper-rewards-{{ tab_id2 }} nav">
                                    <div class="swiper-wrapper">
                                        {% for rewardscat in rewardslistingcategory %}
                                        <div class="swiper-slide swiper-slide-reward pb-2" style="width: 214px; margin-right: 10px;">
                                            <div class="card overflow-hidden card-article card-article-reward border-0 position-relative m-2 shadow">
                                                <span class="badge badge-light text-primary position-absolute text-uppercase" style="top:10.5rem;right:auto;border-radius: 0 1.5rem 0 0;">{{ rewardscat.items[0].code }}</span>
                                                <a class="card-link text-primary text-decoration-none h-auto" href="{{ url('<front>') }}reward-detail?s={{ rewardscat.slug }}">
                                                    <div class="card-img-top" style="background-image: url('{{ url('<front>') }}themes/growhappytheme/assets/images/placeholder.png'); background-size: cover; height: 12rem; background-position: center;" data-bg="{{ rewardscat.thumbnail }}"></div>
                                                    <div class="card-body bg-light text-primary">
                                                        <h3 class="card-title text-capitalize mb-1">{{ rewardscat.name }}</h3>
                                                        <p class="mb-1">
                                                            <span class="tag text-blue text-capitalize" href="{{ url('<front>') }}club?category={{ keys }}"><small>{{ keys }}</small></span>
                                                        </p>
                                                        <div class="rp">{{ rewardscat.items[0].point }}</div>
                                                    </div>
                                                </a>
                                            </div>
                                        </div>
                                        {% endfor %}
                                    </div>
                                </div>
                                <div class="swiper-pagination pagination-light reward-{{ tab_id2 }}"></div>
                                <div class="swiper-button-prev button-prev-light reward-{{ tab_id2 }}"></div>
                                <div class="swiper-button-next button-next-light reward-{{ tab_id2 }}"></div>
                            </div>
                        </div>
                    {% endfor %}
                  </div>
                </div>
                <p class="col-lg-12 text-center text-uppercase d-lg-none">
                    <a href="{{ url('<front>') }}club" class="btn bg-white text-primary rounded-pill px-5 " style="margin-top:5rem">
                        {% if (logged_in or guestlogin) %}
                        <strong>Lihat Semua Hadiah</strong>
                        {% else %}
                        <strong>Gabung Grow Happy Club</strong>
                        {% endif %}
                    </a>
                </p>
            </div>
            {# <div class="col-lg-4 offset-lg-2">
                <h2 class="h3 mt-5">Mau Poin Tambahan? Yuk, Jalankan Misinya</h2>
                <div class="slider-card my-4 position-relative">
                    <div class="swiper-container swiper-quiz nav">
                        <div class="swiper-wrapper">
                            {% for i in 1..3 %}
                            <div class="swiper-slide">
                                {% include directory ~ '/templates/includes/_reward-quiz.html.twig' %}
                            </div>
                            {% endfor %}
                        </div>
                    </div>
                    <div class="swiper-pagination pagination-light quiz"></div>
                    <div class="swiper-button-prev button-prev-light quiz"></div>
                    <div class="swiper-button-next button-next-light quiz"></div>
                </div>
            </div> #}
        </div>
        <div class="d-lg-none" style="margin-bottom:-4rem"></div>
    </div>
</div>
{# <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script type="text/javascript">
    $(document).ready(function () {
      $('input[name="intervaltype"]').click(function () {
          $(this).tab('show');
          $(this).removeClass('active');
      });
    })
</script> #}